[an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] (none) [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] (none) [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive]
 
[an error occurred while processing this directive] [an error occurred while processing this directive]
Skåne Sjælland Linux User Group - http://www.sslug.dk Home   Subscribe   Mail Archive   Forum   Calendar   Search
MhonArc Date: [Date Prev] [Date Index] [Date Next]   Thread: [Date Prev] [Thread Index] [Date Next]   MhonArc
 

gcc-3.3.1



  Jeg har oversat og installeret (med checkinstall) gcc-3.3.1
og det fungerer fint fx. til at installere en opdateret LILO
22.5.6, der har mange forbedringer/sikkerhed ift. ældre lilo.

  GCC-3.3.1 gav 1 problem. En /lib/libgcc_c.so.1 skulle manuelt
fjernes/skjules, eftersom libstdc++ spurgte efter den nye version
og ikke kunne finde den.

  Der er iflg. GNU-C team'et mange forbedringer og rettelser i GCC-3.3.1

  Vigtigst er nok denne her:

The -traditional C compiler option has been removed. It was
deprecated in 3.1 and 3.2. (Traditional preprocessing remains
available.) The <varargs.h> header, used for writing variadic
functions in traditional C, still exists but will produce an
error message if used.

   ... så øh ... hvis man har meget gammel source skal der
arbejdes på omredigering! Eller måske man skulle bevare en ældre
gcc på et andet system?


Ny fil: README.SCO

As all users of GCC will know, SCO has recently made claims concerning
alleged copyright infringement by recent versions of the operating
system kernel called Linux.  SCO has made irresponsible public
statements about this supposed copyright infringement without 
releasing any evidence of the infringement, and has demanded that
users of Linux, the kernel most often used with the GNU system, pay
for a license.  This license is incompatible with the GPL, and in the 
opinion of the Free Software Foundation such a demand unquestionably 
violates the GNU General Public License under which the kernel is
distributed.

We have been urged to drop support for SCO Unix from this release of   
GCC, as a protest against this irresponsible aggression against free  
software and GNU/Linux.  However, the direct effect of this action
would fall on users of GCC rather than on SCO.  For the moment, we
have decided not to take that action. [ ... cut ... ]



hilsen
Donald
-- 
sslug@sslug -- Linux works for me.  http://d-axel.dk/


 
Home   Subscribe   Mail Archive   Index   Calendar   Search

 
 
Questions about the web-pages to <www_admin>. Last modified 2005-08-10, 20:09 CEST [an error occurred while processing this directive]
This page is maintained by [an error occurred while processing this directive]MHonArc [an error occurred while processing this directive] # [an error occurred while processing this directive] *